> For the complete documentation index, see [llms.txt](https://developers.smartpm.com/llms.txt)

# Import schedule

> POST /company/{companyId}/import-schedule



## Servers
- SmartPM Production Environment: https://live.smartpmtech.com (SmartPM Production Environment)


## Authentication methods
- Api key


## Parameters
### Headers

- **X-COMPANY-ID** (string)
  The company's unique ID


### Path parameters

- **companyId** (string)



### Body: application/json (object)

- **importId** (string(uuid))

- **projectId** (integer(int64))

- **scenarioId** (integer(int64))

- **originalProjectId** (integer(int64))

- **file** (string)

- **originalFileName** (string)

- **fileId** (string(uuid))

- **name** (string)

- **city** (string)

- **state** (string)

- **zipCode** (string)

- **country** (string)

- **latitude** (number)

- **longitude** (number)

- **skipBaseline** (boolean)

- **underConstruction** (boolean)

- **userId** (string)

- **companyId** (string)

- **jwt** (string)

- **imagePath** (string)

- **requester** (string)

- **planId** (string)

- **qualityProfileId** (integer(int64))

- **riskProfileId** (integer(int64))

- **importLogHitRateGoal** (integer(int32))

- **importExceptions** (array[object])

- **projectUserRoleMappings** (array[object])

- **projectUserGroupRoleMappings** (array[object])

- **metadata** (object)

- **projectConfiguration** (object)

- **scenarioConfiguration** (object)

- **modelConfiguration** (object)

- **archived** (boolean)

- **aiTenantId** (string)

- **contractualEndDate** (string(date-time))

- **projectStatus** (string)

- **skipExternalEmail** (boolean)

- **skipProjectLevelItems** (boolean)

- **skipDelayAnalysis** (boolean)

- **skipClassifySchedule** (boolean)

- **skipImportLogChecklistStep** (boolean)

- **skipSubsetValidations** (boolean)

- **skipProjectMetadataValidation** (boolean)

- **skipAllValidations** (boolean)

- **useProvidedContractualEndDates** (boolean)

- **source** (string)

- **dataDate** (string(date-time))

- **projectCreationType** (string)



## Responses
### 200
OK

#### Body: application/json (object)
- **projectId** (integer(int64))

- **message** (string)

- **importId** (string(uuid))



[Powered by Bump.sh](https://bump.sh)
